NetWorker

Last reply by 06-22-2022 Solved
Start a Discussion
2 Bronze
2 Bronze
511

Unable to upgrade Networker VE from version 19.3 to 19.4

Hi all,
From Networker Installation Manager, I can't upgrade from 19.3.0.6 Build.212 (Virtual Edition) to 19.4.
After successfully validating password of admin account, install goes in timeout when trying to validate root account password (see capture 1 and 2). Note: connecting in SSH with admin account (then with root) is OK.
Any idea how to fix it?

Thank you in advance.
KR,

 

Solution (1)

Accepted Solutions
404

Sorry, but in this case I do not have any other idea than getting Dell/EMC support involved.

 

View solution in original post

Replies (7)
2 Bronze
2 Bronze
509

Zenworks_0-1655372202492.png

 

Zenworks_1-1655372219813.png

 

436

Besides the possibility that you have entered a wrong root password it also potentially could be that the password has not been supported by the NW software. But it could also be a NVE bug.

One suggestion would be that you set - at least temporarily - another root password and try to upgrade again. I agree that in this case there should be a better message but maybe the installation log can tell you more.

You could also download a later NVE version (for example 19.5) and try this software.

 

 

2 Bronze
2 Bronze
409

Hi,

Thank you for your feedback
As proposed, I've changed root password (sudo passwd root. May be it's not the correct way for Networker) and also used different version of 19.5/.6 but same issue. Also note I've tried from GUI and CLI but no difference.

405

Sorry, but in this case I do not have any other idea than getting Dell/EMC support involved.

 

395

https://www.dell.com/support/kbdoc/en-us/000014823/nve-how-to-upgrade-networker-software?lang=en states that to change the root or admin passwords, you'd have to use:

sudo /usr/local/avamar/bin/change-passwords

You'd also be able to verify this with (besides sudo'ing from admin to root):

avi-cli --verbose localhost --password 'ROOT-PASSWORD' --listhistory

For problem solving:

Installation Failures:

  • /space/avamar/var/avi/server_log/avinstaller.log.0
  • /space/avamar/var/avi/server_log/aviserver.log.0
  • /space/avamar/var/avi/server_log/avitask.log.0

Upgrade and Installation Failures:
When performing upgrades a temporary folder is created using the name of the upgrade package being installed. You can see the temp upgrade directory by running: ls -l /data01/avamar/repo/temp/. This folder will not exist post upgrade and may be deleted if the upgrade fails and the workflow is closed. To collect these logs, initiate the upgrade and before closing out the failure collect the logs.

  • /data01/avamar/repo/temp/*/tmp/workflow.log
  • /data01/avamar/repo/temp/*/tmp/err.log
378

Hi,

I've verified password via following command and it's Ok: 

avi-cli --verbose localhost --password 'ROOT-PASSWORD' --listhistory

Also note following command is not working:

sudo /usr/local/avamar/bin/change-passwords

2 Bronze
2 Bronze
403

Hi,

No problem. Thank you for your investigation and time. 

Latest Solutions
Top Contributor